%define upstream_name    Object-ID
%define upstream_version v0.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Supply a unique object identifier to every object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Hash::FieldHash) >= 0.100.0
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Sub::Name) >= 0.30.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

# Don't provide perl(UNIVERSAL)
%{?perl_default_filter}


%description
This is a unique identifier for any object, regardless of its type,
structure or contents. Its features are:

    * Works on ANY object of any type
    * Does not modify the object in any way
    * Does not change with the object's contents
    * Is O(1) to calculate (ie. doesn't matter how big the object is)
    * The id is unique for the life of the process
    * The id is always a true value

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-10.mga8
+ Revision: 1496153
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.2-9.mga7
+ Revision: 1270217
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.2-8.mga6
+ Revision: 1031435
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.1.2-7.mga6
+ Revision: 935734
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-6.mga5
+ Revision: 740016
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.1.2-5.mga5
+ Revision: 732429
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 685781
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 513720
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 371095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 12 2011 kharec <kharec> 0.1.2-1.mga2
+ Revision: 166953
- update to v0.1.2

* Thu Jun 30 2011 jquelin <jquelin> 0.1.1-1.mga2
+ Revision: 116792
- imported package perl-Object-ID

